Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002814 [DCSS] Bug Report minor always 2010-11-05 18:18 2014-07-15 08:18
Reporter Twilight View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002814: Control F level preview re-prompts "entering level" alerts.
Description I was on a level that had a Labyrinth portal, and used Control F to find an item, which was on another level. After selecting the item, and being shown the preview of the other level where the item was, either attempting to travel there, or using escape to cancel out of it, I again was shown the
"You hear a distant snort.
"Hark! There is an entrance to a minotaur's labyrinth on this level. Find the entrance quickly before the gate is sealed!"

message again. Repeating the above gave the message over an over. This is likely because the game treats looking at the other level through Control F, and then changing the view back to the current level as "entering the level" again, along with any other pertinent messages, exclusions, etc.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0005511resolvedMarvinPA Possible glitch when viewing map on a floor with labyrinth (possibly other announced vault portals) 
has duplicate 0008779closedneil removing item from shopping list triggers level entry message for volcano portal 
has duplicate 0008790resolvedneil Jiyva offlevel eating triggers level-entry notifications 
has duplicate 0008336resolvedneil Reading EWIII causes re-announcement of labyrinth 
related to 0006200resolvedneil Jiyva's off-level item eating causes labyrinths to be announced extra times. 
related to 0007617new webtiles sometimes displays a floor the player isn't currently on when --more-- prompt is active (jelly slurping?) 
related to 0008408closedneil Examining previous level with X[ reprints portal announcement 

-  Notes
(0009221)
Twilight (reporter)
2010-11-05 18:19

Please delete 0002813, as I accidentally set the category as "Documentation", when it should be "Bug Report" as this one is.
(0009223)
Twilight (reporter)
2010-11-05 18:21
edited on: 2010-11-05 18:22

Additional note:
After starting to auto-travel to the other item mentioned in the description, and being stopped by a monster, I killed it, and used Control G and then enter to resume my auto-travel. This Control G caused the labyrinth message to display again.

(0019078)
neil (administrator)
2012-07-16 18:19

This happens with X[] as well.
(0026757)
neil (administrator)
2014-07-15 08:18

This should be fixed in trunk (0.15-a0-2111-ga61266d). Please re-open if the problem reappears.

- Issue History
Date Modified Username Field Change
2010-11-05 18:18 Twilight New Issue
2010-11-05 18:19 Twilight Note Added: 0009221
2010-11-05 18:21 Twilight Note Added: 0009223
2010-11-05 18:21 Twilight Note Edited: 0009223
2010-11-05 18:22 Twilight Note Edited: 0009223
2012-07-16 18:16 neil Note Added: 0019077
2012-07-16 18:16 neil Status new => confirmed
2012-07-16 18:17 neil Note Deleted: 0019077
2012-07-16 18:19 neil Note Added: 0019078
2012-09-09 20:48 neil Relationship added related to 0006200
2013-03-16 18:05 MarvinPA Relationship added has duplicate 0005511
2014-01-06 01:04 neil Relationship added related to 0007617
2014-04-22 14:37 MarvinPA Relationship added related to 0008408
2014-07-11 20:19 neil Relationship added has duplicate 0008779
2014-07-13 23:26 neil Relationship added has duplicate 0008790
2014-07-15 08:18 neil Note Added: 0026757
2014-07-15 08:18 neil Status confirmed => resolved
2014-07-15 08:18 neil Fixed in Branch => 0.15 development branch
2014-07-15 08:18 neil Resolution open => done
2014-07-15 08:18 neil Assigned To => neil
2014-08-01 00:51 neil Relationship added has duplicate 0008336


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker